commit: 56fcf96992b41d422c4f7913a5aafbfe370ffcd0
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 21 19:46:18 2023 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Thu Dec 21 19:46:18 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56fcf969
app-editors/emacs: Use socket redirection
Instead of moving whole directories around.
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
app-editors/emacs/emacs-29.1-r6.ebuild | 14 +++++++++-----
app-editors/emacs/emacs-29.1.90.ebuild | 14 +++++++++-----
app-editors/emacs/emacs-29.1.9999.ebuild | 14 +++++++++-----
app-editors/emacs/emacs-30.0.9999.ebuild | 14 +++++++++-----
4 files changed, 36 insertions(+), 20 deletions(-)
diff --git a/app-editors/emacs/emacs-29.1-r6.ebuild
b/app-editors/emacs/emacs-29.1-r6.ebuild
index c15027e0bbea..908264ce6bd4 100644
--- a/app-editors/emacs/emacs-29.1-r6.ebuild
+++ b/app-editors/emacs/emacs-29.1-r6.ebuild
@@ -213,11 +213,6 @@ src_prepare() {
sed -i -e 's/(executable-find "bwrap")/nil/' test/src/emacs-tests.el \
test/lisp/emacs-lisp/bytecomp-tests.el || die
- # Tests use this dir as GNUPGHOME. Move to shorter path, in order
- # not to exceed the 108 char limit for GnuPG's sockets on Linux.
- mv test/lisp/gnus/mml-sec-resources "${T}"/gnupg || die
- ln -s "${T}"/gnupg test/lisp/gnus/mml-sec-resources || die
-
AT_M4DIR=m4 eautoreconf
}
@@ -442,6 +437,15 @@ src_test() {
)
use xpm || exclude_tests+=( %src/image-tests.el )
+ # Redirect GnuPG's sockets, in order not to exceed the 108 char limit
+ # for socket paths on Linux.
+ mkdir "${T}"/gnupg || die
+ local f
+ for f in S.gpg-agent{,.browser,.extra,.ssh}; do
+ printf "%%Assuan%%\nsocket=%s\n" "${T}/gnupg/${f}" \
+ > "test/lisp/gnus/mml-sec-resources/${f}" || die
+ done
+
# See test/README for possible options
emake \
EMACS_TEST_VERBOSE=1 \
diff --git a/app-editors/emacs/emacs-29.1.90.ebuild
b/app-editors/emacs/emacs-29.1.90.ebuild
index 8a58f10bc90e..f5d1a6e3a2cc 100644
--- a/app-editors/emacs/emacs-29.1.90.ebuild
+++ b/app-editors/emacs/emacs-29.1.90.ebuild
@@ -210,11 +210,6 @@ src_prepare() {
sed -i -e 's/(executable-find "bwrap")/nil/' test/src/emacs-tests.el \
test/lisp/emacs-lisp/bytecomp-tests.el || die
- # Tests use this dir as GNUPGHOME. Move to shorter path, in order
- # not to exceed the 108 char limit for GnuPG's sockets on Linux.
- mv test/lisp/gnus/mml-sec-resources "${T}"/gnupg || die
- ln -s "${T}"/gnupg test/lisp/gnus/mml-sec-resources || die
-
AT_M4DIR=m4 eautoreconf
}
@@ -439,6 +434,15 @@ src_test() {
)
use xpm || exclude_tests+=( %src/image-tests.el )
+ # Redirect GnuPG's sockets, in order not to exceed the 108 char limit
+ # for socket paths on Linux.
+ mkdir "${T}"/gnupg || die
+ local f
+ for f in S.gpg-agent{,.browser,.extra,.ssh}; do
+ printf "%%Assuan%%\nsocket=%s\n" "${T}/gnupg/${f}" \
+ > "test/lisp/gnus/mml-sec-resources/${f}" || die
+ done
+
# See test/README for possible options
emake \
EMACS_TEST_VERBOSE=1 \
diff --git a/app-editors/emacs/emacs-29.1.9999.ebuild
b/app-editors/emacs/emacs-29.1.9999.ebuild
index 8a58f10bc90e..f5d1a6e3a2cc 100644
--- a/app-editors/emacs/emacs-29.1.9999.ebuild
+++ b/app-editors/emacs/emacs-29.1.9999.ebuild
@@ -210,11 +210,6 @@ src_prepare() {
sed -i -e 's/(executable-find "bwrap")/nil/' test/src/emacs-tests.el \
test/lisp/emacs-lisp/bytecomp-tests.el || die
- # Tests use this dir as GNUPGHOME. Move to shorter path, in order
- # not to exceed the 108 char limit for GnuPG's sockets on Linux.
- mv test/lisp/gnus/mml-sec-resources "${T}"/gnupg || die
- ln -s "${T}"/gnupg test/lisp/gnus/mml-sec-resources || die
-
AT_M4DIR=m4 eautoreconf
}
@@ -439,6 +434,15 @@ src_test() {
)
use xpm || exclude_tests+=( %src/image-tests.el )
+ # Redirect GnuPG's sockets, in order not to exceed the 108 char limit
+ # for socket paths on Linux.
+ mkdir "${T}"/gnupg || die
+ local f
+ for f in S.gpg-agent{,.browser,.extra,.ssh}; do
+ printf "%%Assuan%%\nsocket=%s\n" "${T}/gnupg/${f}" \
+ > "test/lisp/gnus/mml-sec-resources/${f}" || die
+ done
+
# See test/README for possible options
emake \
EMACS_TEST_VERBOSE=1 \
diff --git a/app-editors/emacs/emacs-30.0.9999.ebuild
b/app-editors/emacs/emacs-30.0.9999.ebuild
index 02c7ef6e61da..3ed93bd2fb38 100644
--- a/app-editors/emacs/emacs-30.0.9999.ebuild
+++ b/app-editors/emacs/emacs-30.0.9999.ebuild
@@ -211,11 +211,6 @@ src_prepare() {
sed -i -e 's/(executable-find "bwrap")/nil/' test/src/emacs-tests.el \
test/lisp/emacs-lisp/bytecomp-tests.el || die
- # Tests use this dir as GNUPGHOME. Move to shorter path, in order
- # not to exceed the 108 char limit for GnuPG's sockets on Linux.
- mv test/lisp/gnus/mml-sec-resources "${T}"/gnupg || die
- ln -s "${T}"/gnupg test/lisp/gnus/mml-sec-resources || die
-
AT_M4DIR=m4 eautoreconf
}
@@ -441,6 +436,15 @@ src_test() {
)
use xpm || exclude_tests+=( %src/image-tests.el )
+ # Redirect GnuPG's sockets, in order not to exceed the 108 char limit
+ # for socket paths on Linux.
+ mkdir "${T}"/gnupg || die
+ local f
+ for f in S.gpg-agent{,.browser,.extra,.ssh}; do
+ printf "%%Assuan%%\nsocket=%s\n" "${T}/gnupg/${f}" \
+ > "test/lisp/gnus/mml-sec-resources/${f}" || die
+ done
+
# See test/README for possible options
emake \
EMACS_TEST_VERBOSE=1 \